﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using WinAutomator.Library.BuildIns;
using System.Collections.Generic;

namespace WinAutomator.Library.Tests
{
    [TestClass]
    public class ReadProcessTest
    {
        [TestMethod]
        public void CountIn()
        {
            WAReadDirectory r = new WAReadDirectory();

            WAProccessInfo info = new WAProccessInfo(r);

            List<Type> ret = info.getIn();

            Assert.AreEqual(1, ret.Count);
        }

        [TestMethod]
        public void CountOut()
        {
            WAReadDirectory r = new WAReadDirectory();

            WAProccessInfo info = new WAProccessInfo(r);

            List<Type> ret = info.getOut();

            Assert.AreNotEqual(0, ret.Count);
        }
    }
}
