﻿using System.Windows;
using GalaSoft.MvvmLight.Threading;
using WinAutomator.Library;

namespace WinAutomator
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        static App()
        {
            PluginManager.PluginsDirectory = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location) + @"\plugins";
            DispatcherHelper.Initialize();
        }
    }
}
