﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using WinAutomator.Library;

namespace WinAutomator.Library
{
    public interface IPlugin
    {
        //UserControl GetUserControl();
        //IProcess GetProcess();

        String Name
        {
            get;
        }

        String ToolBoxImageSource
        {
            get;
        }

        Control UserControl
        {
            get;
        }

        PluginViewModel ViewModel
        {
            get;
        }

        IProcess Process
        {
            get;
        }
    }
}
