﻿using GalaSoft.MvvmLight;
using System.Windows;
using WinAutomator.Library.InOut;
using GalaSoft.MvvmLight.Command;
using GalaSoft.MvvmLight.Messaging;
using WinAutomator.Library;

namespace WinAutomator.Plugin.BuildIns
{
    /// <summary>
    /// This class contains properties that a View can data bind to.
    /// <para>
    /// See http://www.galasoft.ch/mvvm
    /// </para>
    /// </summary>
    public class WAMessageBoxViewModel : PluginViewModel
    {

        private WAMessageBoxProcess _model;
        /// <summary>
        /// Initializes a new instance of the ControlTestViewModel class.
        /// </summary>
        public WAMessageBoxViewModel()
        {
            _model = new WAMessageBoxProcess();
            this.Top = 100;
            this.Left = 200;
            ConnectorIn = new WAConnectorViewModel(_model.VIn);
        }

        public WAConnectorViewModel ConnectorIn { get; set; }

        public override IProcess Model
        {
            get { return _model; }
        }
    }
}