﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WinAutomator.Library.InOut;

namespace WinAutomator.Plugin
{
    /// <summary>
    /// Logique d'interaction pour BConnector1.xaml
    /// </summary>
    public partial class WAConnector : Button
    {
        public WAConnector()
        {
            InitializeComponent();
        }

        public String InOut { get; set; }

        public static readonly DependencyProperty AnchorPointProperty =
       DependencyProperty.Register(
           "AnchorPoint", typeof(Point), typeof(WAConnector),
               new FrameworkPropertyMetadata(new Point(0, 0),
               FrameworkPropertyMetadataOptions.AffectsMeasure));

        public Point AnchorPoint
        {
            get { return (Point)GetValue(AnchorPointProperty); }
            set { SetValue(AnchorPointProperty, value); }
        }
    }
}
